--AH:ScriptId=bfa61303-71ac-480b-b51b-bac941178dbf;690
DROP TABLE [DeploymentStepTargets]
DROP TABLE [ServerTargets]
GO

CREATE TABLE [ServerTargets] (
  [Server_Id] INT NOT NULL,
  [Server_Target] TARGET NOT NULL,
  CONSTRAINT [PK__ServerTargets] 
    PRIMARY KEY ([Server_Id], [Server_Target]),
  CONSTRAINT [FK__ServerTargets__Servers] 
    FOREIGN KEY([Server_Id]) REFERENCES [Servers] ([Server_Id])
)
GO

CREATE TABLE [ProjectPackageTargets](
  [Project_Id] INT NOT NULL,
  [Package_Id] NVARCHAR(255) NOT NULL,
  [ProjectPackage_Target] TARGET NOT NULL,
  CONSTRAINT [PK__ProjectPackageTargets] 
    PRIMARY KEY ([Project_Id], [Package_Id], [ProjectPackage_Target]),
  CONSTRAINT [FK_ProjectPackageTargets__ProjectPackages] 
    FOREIGN KEY([Project_Id], [Package_Id]) REFERENCES 
	[ProjectPackages] ([Project_Id], [Package_Id])
)
GO

CREATE TABLE [ReleasePackageTargets](
  [Project_Id] INT NOT NULL,
  [Release_Number] NVARCHAR(50) NOT NULL,
  [Package_Id] NVARCHAR(255) NOT NULL,
  [ReleasePackage_Target] TARGET NOT NULL,

  CONSTRAINT [PK__ReleasePackageTargets] 
    PRIMARY KEY ([Project_Id], [Release_Number], [Package_Id], [ReleasePackage_Target]),
  CONSTRAINT [FK_ReleasePackageTargets__ReleasePackages] 
    FOREIGN KEY([Project_Id], [Release_Number], [Package_Id]) REFERENCES 
	[ReleasePackages] ([Project_Id], [Release_Number], [Package_Id])
)
GO