IF OBJECT_ID('[DockerImages_PotentialBaseImages]') IS NOT NULL DROP VIEW [DockerImages_PotentialBaseImages]
GO

CREATE VIEW [DockerImages_PotentialBaseImages]
AS

-- This will match by max layer sequence only.
-- To do this properly would involve also matching all "lower" layers.

SELECT DI.[DockerImage_Id],
       DI.[Image_Digest],
	   DR.[Repository_Name],

	   [Base_Feed_Id] = DR_BASE.[Feed_Id],
	   [Base_DockerImage_Id] = DI_BASE.[DockerImage_Id],
	   [Base_Image_Digest] = DI_BASE.[Image_Digest],
	   [Base_Repository_Name] = DR_BASE.[Repository_Name],
	   [Max_LayerMatch_Sequence] = DIL_MAX.[Max_Sequence]
  FROM [DockerImageLayers] DIL
       INNER JOIN (SELECT [DockerImage_Id],
                          [Max_Sequence] = MAX([Layer_Sequence])
                     FROM [DockerImageLayers]
                    GROUP BY [DockerImage_Id]) DIL_MAX
			   ON DIL_MAX.[Max_Sequence] = DIL.[Layer_Sequence]
       INNER JOIN [DockerImageLayers] DIL_MAX_FULL
	           ON DIL_MAX.[DockerImage_Id] = DIL_MAX_FULL.[DockerImage_Id]
	   INNER JOIN [DockerImages] DI
	           ON DI.[DockerImage_Id] = DIL.[DockerImage_Id]
	   INNER JOIN [DockerRepositories] DR
	           ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]
	   INNER JOIN [DockerImages] DI_BASE
	           ON DI_BASE.[DockerImage_Id] = DIL_MAX_FULL.[DockerImage_Id]
	   INNER JOIN [DockerRepositories] DR_BASE
	           ON DR_BASE.[DockerRepository_Id] = DI_BASE.[DockerRepository_Id]
 WHERE DIL.[DockerImage_Id] <> DIL_MAX_FULL.[DockerImage_Id]
   AND DIL.[Layer_Sequence] = DIL_MAX_FULL.[Layer_Sequence]
   AND DIL.[DockerBlob_Id] = DIL_MAX_FULL.[DockerBlob_Id]

GO
