EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CondaPackages_GetLatestPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'CondaPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of the latest Conda packages in a feed.'
GO

IF OBJECT_ID('[CondaPackages_GetLatestPackages]') IS NOT NULL DROP PROCEDURE [CondaPackages_GetLatestPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [CondaPackages_GetLatestPackages]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [CondaPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Latest_Indicator] = 'Y'
	   AND (@Package_Name IS NULL OR [Package_Name] = @Package_Name)

END
GO

GRANT EXECUTE ON [CondaPackages_GetLatestPackages] TO [ProGetUser_Role]
GO