EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetFeedConnectorsByFeedType',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedConnectors_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the connectors for a feed by feeed type.'
GO

IF OBJECT_ID('[Feeds_GetFeedConnectorsByFeedType]') IS NOT NULL DROP PROCEDURE [Feeds_GetFeedConnectorsByFeedType]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetFeedConnectorsByFeedType]
(
	@FeedType_Name NVARCHAR(20)
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [FeedConnectors_Extended]
	 WHERE [FeedType_Name] = @FeedType_Name
	 ORDER BY [Sequence_Number]

END
GO

GRANT EXECUTE ON [Feeds_GetFeedConnectorsByFeedType] TO [ProGetUser_Role]
GO
