EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_GetLatestPackageVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RpmPackages_Latest',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the latest versions of packages in a feed.'
GO

IF OBJECT_ID('[RpmPackages_GetLatestPackageVersions]') IS NOT NULL DROP PROCEDURE [RpmPackages_GetLatestPackageVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_GetLatestPackageVersions]
(
	@Feed_Id INT,
	@Max_Count INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [RpmPackages_Latest]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [Published_Date] DESC

END
GO

GRANT EXECUTE ON [RpmPackages_GetLatestPackageVersions] TO [ProGetUser_Role]
GO