EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RubyGems_GetGem',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'RubyGems_Extended,RubyGemVersions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the information for a Gem and its versions.'
GO

IF OBJECT_ID('[RubyGems_GetGem]') IS NOT NULL DROP PROCEDURE [RubyGems_GetGem]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RubyGems_GetGem]
(
	@Feed_Id INT,
	@Gem_Name VARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	DECLARE @Gem_Id INT
	SET @Gem_Id = (SELECT [Gem_Id]
	                 FROM [RubyGems]
					WHERE [Feed_Id] = @Feed_Id
					  AND [Gem_Name] = @Gem_Name)

	SELECT *
	  FROM [RubyGems_Extended]
	 WHERE [Gem_Id] = @Gem_Id

	SELECT *
	  FROM [RubyGemVersions_Extended]
	 WHERE [Gem_Id] = @Gem_Id

END
GO

GRANT EXECUTE ON [RubyGems_GetGem] TO [ProGetUser_Role]
GO