EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetVariablesForScope',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Variables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variables that are defined only in the specified scope.'
GO


IF OBJECT_ID('[Variables_GetVariablesForScope]') IS NOT NULL DROP PROCEDURE [Variables_GetVariablesForScope]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetVariablesForScope]
(
    @Feed_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Variables]
	 WHERE ([Feed_Id] = @Feed_Id OR ([Feed_Id] IS NULL AND @Feed_Id IS NULL))

END
GO

GRANT EXECUTE ON [Variables_GetVariablesForScope] TO [ProGetUser_Role]